<?php
header("Content-Type: text/html; charset=iso-8859-1");
ViewResponse::getInstance()->setMethodAjax();

switch ($type){
	case 'getRepresentantesAll':
  		
		$con = Conexion::getConexion();
		
	    $sql = "SELECT IdAdministrador
	    		FROM cr_sucursal
	    		WHERE IdSucursal='".$value."';";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
	    if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $IdAdministrador = $o_ClienteBean->IdAdministrador;
		    }
		 }
	    
		
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM  cr_colaborador co
	    		WHERE (IdPadre='".$IdAdministrador."' or Idcolaborador = '".$IdAdministrador."') and eliminado='0' 
	    		order by co.IdRol, 1 ;";
	    //echo $sql;
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
	case 'getRepresentantexSucursal':
		$con = Conexion::getConexion();
		$IdSucursal = $value;
	
		//Buscar el padre
		
		$sql = "SELECT idadministrador
				FROM cr_sucursal
	    		WHERE IdSucursal='".$IdSucursal."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $idadministrador = $o_ClienteBean->idadministrador;
		    }
		  }
		  		
		if(!$idadministrador) $idadministrador = 9999;
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres 
	    		FROM cr_colaborador co 
	    		WHERE IdPadre='".$idadministrador."'
	    		AND eliminado = '0';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'getRepresentantes':
		$con = Conexion::getConexion();
	    $sql = "SELECT co.idColaborador,concat(co.ApellidoPaterno,' ', ApellidoMaterno,', ',Nombres) as Nombres FROM cr_mercado_representante  mere
	    		left join cr_colaborador co on co.IdColaborador = mere.IdColaborador
	    		WHERE IdMercado='".$value."';";
	    
	    $result = mysql_db_query(Conexion::getNameDb(), $sql, $con);
	    $num_rows = mysql_num_rows($result);
	    
		  if($num_rows>0){
		  	$i=1;
		    while($o_ClienteBean = mysql_fetch_object($result)){
			    $a_ValuesElm[] = $o_ClienteBean->idColaborador."_;_".$o_ClienteBean->Nombres;
			    $i++;
		    }
		  }
		  
		 $a_Resultado     = array();
	      foreach ($a_ValuesElm as $key => $value){
	          $valueElm = $value;
	          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
	      }
	      
	       $salida = "[".implode(",",$a_Resultado).']';
    
     	 header("X-JSON: ".$salida);
		break;
  case 'nameDoc':

    $o_ObjectBean = new DocenteBean();
    if($value!=""){ 
      $o_ObjectBean->setCodigoDocente($value);
      
      $o_class = new DocenteBL();
      $a_ObjectDocenteBean = $o_class->busquedaDocente($o_ObjectBean);

      if(is_array($a_ObjectDocenteBean) && count($a_ObjectDocenteBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectDocenteBean[0]->getNombre());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  case 'NombreColaborador':

    $o_ObjectBean = new ColaboradorBean();
    if($value!=""){ 
      $o_ObjectBean->setIdColaborador($value);
      
      $o_class = new ColaboradorBL();
      $a_ObjectColaboradorBean = $o_class->busquedaColaborador($o_ObjectBean);

      if(is_array($a_ObjectColaboradorBean) && count($a_ObjectColaboradorBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectColaboradorBean[0]->getNombreCompleto());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
  case 'NombreMercado':

    $o_ObjectBean = new MercadoBean();
    if($value!=""){ 
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoBL();
      $a_ObjectMercadoBean = $o_class->busquedaMercado($o_ObjectBean);

      if(is_array($a_ObjectMercadoBean) && count($a_ObjectMercadoBean) > 0){
        $tmp = array($nombreElm=>$a_ObjectMercadoBean[0]->getDescripcion());
      }else{
        $tmp = array($nombreElm=>"<b><font color=red>No se encontro el registro</font></b>");
      }
      
      $scadena = utilJson::generateJsonElment($tmp);
      ////echo "<pre>";
      //print_r($scadena);
      //echo "<pre>";
    }
       
    header("X-JSON: ".$scadena);
  break;
  
    case 'getRepresentante':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getIdColaborador()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getRepresentanteUser':

    $o_ObjectBean = new MercadoRepresentanteBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdMercado($value);
      
      $o_class = new MercadoRepresentanteBL();
      $a_ObjectMercadoRepresentanteBean = $o_class->busquedaMercadoRepresentanteDetalle($o_ObjectBean);
		
      
      if(array($a_ObjectMercadoRepresentanteBean) && count($a_ObjectMercadoRepresentanteBean)>0){
        foreach ($a_ObjectMercadoRepresentanteBean as $key => $ObjectMercadoRepresentanteBean){
        	$a_IdColaborador[] = $ObjectMercadoRepresentanteBean->getIdColaborador();
        }
      }else{
      	$a_IdColaborador[0] = null ;
      }
      
      $o_Colaborador = new ColaboradorBean();
      $o_Colaborador->setIdColaboradores($a_IdColaborador);
      
      $o_ColaboradorBL = new ColaboradorBL();
      $a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_Colaborador);
      foreach ($a_o_Colaborador as $iKey => $o_Colaborador){
          $a_ValuesElm[] = $o_Colaborador->getUsuario()."_;_".$o_Colaborador->getNombreCompleto();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  case 'getMercado':
	//echo "------";
    $o_ObjectBean = new SucursalMercadoBean();
    if($value!=""){ 
      $value = (int)$value;
      $o_ObjectBean->setIdSucursal($value);
	  
	  $o_SucursalMercadoDP = new SucursalMercadoDP($o_ObjectBean); 
	  $a_ObjectSucursalMercadoBean = $o_SucursalMercadoDP->select(); 
	  
      
      //print_r($a_ObjectSucursalMercadoBean);
	  
      if(array($a_ObjectSucursalMercadoBean)){
        foreach ($a_ObjectSucursalMercadoBean as $key => $ObjectSucursalMercadoBean){
        	$a_IdMercados[] = $ObjectSucursalMercadoBean->getIdMercado();
        }
      }
      
      $o_Mercado = new MercadoBean();
      if(count($a_IdMercados) == '0') $a_IdMercados['X'] = 'X'; 
      $o_Mercado->setIdMercados($a_IdMercados);
      
      $o_MercadoBL = new MercadoBL();
      $a_o_mercado = $o_MercadoBL->busquedaMercado($o_Mercado);
      foreach ($a_o_mercado as $iKey => $o_mercado){
          $a_ValuesElm[] = $o_mercado->getIdMercado()."_;_".$o_mercado->getDescripcion();
      }
      
      $a_Resultado     = array();
      foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
      }
        
      $salida = "[".implode(",",$a_Resultado).']';
    
      header("X-JSON: ".$salida);
    }
       
    
  break;
  
  
 
  case 'getEspecialidad':
    
      if(!$value) $value = "99999999";
      $o_especialidadBean = new EspecialidadBean();
      $o_especialidadBean->setFacultadId($value);
  
      $o_class = new EspecialidadBL();
      $a_ObjectBean = $o_class->getEspecialidad($o_especialidadBean);

      if(is_array($a_ObjectBean) && count($a_ObjectBean) > 0){
        foreach ($a_ObjectBean as $iKey => $oValue){
          $a_ValuesElm[] = $oValue->getEspecialidadId()."_;_".$oValue->getEspecialidadDescripcion();
        }
        
        $a_Resultado     = array();
        foreach ($a_ValuesElm as $key => $value){
          $valueElm = $value;
          $a_Resultado[]  = '["'.$nombreElm.'","'.$valueElm.'"]';
        }
        
      }else{
        $a_Resultado = array($nombreElm=>"");
      }
      
      
      $salida = "[".implode(",",$a_Resultado).']';
     /* echo "<pre>";
      print_r($salida);
      echo "<pre>";*/
      header("X-JSON: ".$salida);
    break;
  
}

?>